org.apache.ignite.cache.store.cassandra.session.transaction

## Class BaseMutation

- java.lang.Object
- - org.apache.ignite.cache.store.cassandra.session.transaction.BaseMutation

- All Implemented Interfaces:
    Mutation
  Direct Known Subclasses:
    DeleteMutation, WriteMutation

      public abstract class BaseMutation
      extends Object
      implements Mutation

  Base class to inherit from to implement specific mutations operation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseMutation(String table, PersistenceController ctrl)` Creates instance of mutation operation.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected PersistenceController` | `controller()` Service method to get persistence controller instance
    `KeyValuePersistenceSettings` | `getPersistenceSettings()` Returns Ignite cache key/value persistence settings.
    `String` | `getTable()` Cassandra table to use for an operation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.cache.store.cassandra.session.transaction.Mutation

      `bindStatement, getStatement, tableExistenceRequired`

- - ### Constructor Detail

    - #### BaseMutation

          public BaseMutation(String table,
                              PersistenceController ctrl)

      Creates instance of mutation operation.
      Parameters:
        `table` - Cassandra table which should be used for the mutation.
        `ctrl` - Persistence controller to use.

  - ### Method Detail

    - #### getTable

          public String getTable()

      Cassandra table to use for an operation.
      Specified by:
        `getTable` in interface `Mutation`
      Returns:
        Table name.

    - #### getPersistenceSettings

          public KeyValuePersistenceSettings getPersistenceSettings()

      Returns Ignite cache key/value persistence settings.
      Specified by:
        `getPersistenceSettings` in interface `Mutation`
      Returns:
        persistence settings.

    - #### controller

          protected PersistenceController controller()

      Service method to get persistence controller instance
      Returns:
        Persistence controller to use for the mutation

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023